Method: networks.nativeStyles.batchCreate

Creates NativeStyle objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/nativeStyles:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where NativeStyles will be created. Format: networks/{networkCode} The parent field in the CreateNativeStyleRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateNativeStyleRequest)
    }
  ]
}
Fields
requests[]

object (CreateNativeStyleRequest)

Required. The NativeStyle objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for nativeStyles.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "nativeStyles": [
    {
      object (NativeStyle)
    }
  ]
}
Fields
nativeStyles[]

object (NativeStyle)

The NativeStyle objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateNativeStyleRequest

Request object for CreateNativeStyle method.

JSON representation
{
  "parent": string,
  "nativeStyle": {
    object (NativeStyle)
  }
}
Fields
parent

string

Required. The parent resource where this NativeStyle will be created. Format: networks/{networkCode}

nativeStyle

object (NativeStyle)

Required. The NativeStyle to create.